Settings Security
Fetches the IPs from KeyCloak that are allowed to access Fusion
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Access Allowed IP List from KeyCloak
application/json
string[]OptionalExample:
["1.1.1.1","2.2.2.2","3.3.3.3/16"]400
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
application/json
401
Access token is missing or invalid
application/json
403
Access is forbidden
application/json
default
Unknown Error Occurred
application/json
get/api/v1/customer/access-allowed-ips
GET /api/v1/customer/access-allowed-ips HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
"1.1.1.1",
"2.2.2.2",
"3.3.3.3/16"
]Updates the IPs within KeyCloak that are allowed to access Fusion
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodystring[]
string[]OptionalExample:
["1.1.1.1","2.2.2.2","3.3.3.3/16"]Responses
201
Access Allowed IP List from KeyCloak
application/json
string[]OptionalExample:
["1.1.1.1","2.2.2.2","3.3.3.3/16"]400
Bad Request. Typically due to a malformatted JSON body, or parameter values are not validating.
application/json
401
Access token is missing or invalid
application/json
403
Access is forbidden
application/json
default
Unknown Error Occurred
application/json
put/api/v1/customer/access-allowed-ips
PUT /api/v1/customer/access-allowed-ips HTTP/1.1
Host: api.netography.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 34
[
"1.1.1.1",
"2.2.2.2",
"3.3.3.3/16"
][
"1.1.1.1",
"2.2.2.2",
"3.3.3.3/16"
]Last updated